# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: secret_detection.proto for package 'Gitlab.SecretDetection.GRPC'

require 'grpc'
require 'secret_detection_pb'

module Gitlab
  module SecretDetection
    module GRPC
      module Scanner
        # Scanner service that scans given payloads and returns findings 
        class Service

          include ::GRPC::GenericService

          self.marshal_class_method = :encode
          self.unmarshal_class_method = :decode
          self.service_name = 'gitlab.secret_detection.Scanner'

          # Runs secret detection scan for the given request
          rpc :Scan, ::Gitlab::SecretDetection::GRPC::ScanRequest, ::Gitlab::SecretDetection::GRPC::ScanResponse
          # Runs bi-directional streaming of scans for the given stream of requests with a stream of responses
          rpc :ScanStream, stream(::Gitlab::SecretDetection::GRPC::ScanRequest), stream(::Gitlab::SecretDetection::GRPC::ScanResponse)
        end

        Stub = Service.rpc_stub_class
      end
    end
  end
end
